GET Api/External/{culture}/Inspection/{id}/PointCloud
Get all the inspection Point Cloud
URI Example
GET Api/External/{culture}/Inspection/{id}/PointCloud?BuildingElementId={BuildingElementId}&BuildingElement={BuildingElement}
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| culture |
the current culture |
string |
Required |
| id |
The inspection Id |
integer |
Required |
| BuildingElementId |
The Point Cloud Building Element Id |
integer |
None. |
| BuildingElement |
The Point Cloud Building Element Name |
string |
None. |
Body Parameters
None.
Resource Description
List of Point Cloud Resources
Collection of PointCloudResource| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| Name | string |
None. |
|
| Description | string |
None. |
|
| BuildingElementId | integer |
None. |
|
| BuildingElement | string |
None. |
|
| DateOfCollection | date |
None. |
|
| InputFileUrl | string |
None. |
|
| OutputFolderUrl | string |
None. |
|
| OutputCloudUrl | string |
None. |
Response Formats
application/json, text/json, application/hal+json
-
[ { "id": 1, "name": "sample string 2", "description": "sample string 3", "buildingElementId": 4, "buildingElement": "sample string 5", "dateOfCollection": "2026-10-29T13:07:01.2814605+01:00", "inputFileUrl": "sample string 7", "outputFolderUrl": "sample string 8", "outputCloudUrl": "sample string 9" }, { "id": 1, "name": "sample string 2", "description": "sample string 3", "buildingElementId": 4, "buildingElement": "sample string 5", "dateOfCollection": "2026-10-29T13:07:01.2814605+01:00", "inputFileUrl": "sample string 7", "outputFolderUrl": "sample string 8", "outputCloudUrl": "sample string 9" } ]